##
## rgig.R:
##
## Ester Pantaleo and Robert B. Gramacy, 2010
##
## adapted from the C code in the monomvm package for R, and the
## R code in the fBasics and ghyp packages
##


library(ghyp)
source("../R/rgig.R")

## testing the function, and making some time
## comparisons to the ghyp version

cat("first in R\n")

print(system.time(s <- rgig(100000, -0.5,1,6)))

cat("then in C\n")

print(system.time(sc <- rgig.C(100000, -0.5,1,6)))

plot(density(s))
lines(density(sc), col=2)

